GCLOUD_COMPUTE_BACKEND-SERVICES_UPDATE(1)

NAME

gcloud compute backend-services update - update a backend service

SYNOPSIS

gcloud compute backend-services update NAME [--description DESCRIPTION] [--http-health-checks HTTP_HEALTH_CHECK,[HTTP_HEALTH_CHECK,...]] [--https-health-checks HTTPS_HEALTH_CHECK,[HTTPS_HEALTH_CHECK,...]] [--port PORT] [--port-name PORT_NAME] [--protocol PROTOCOL] [--timeout TIMEOUT] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services update is used to update backend services.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service to update.

FLAGS
--description DESCRIPTION
    An optional, textual description for the backend service.
--http-health-checks HTTP_HEALTH_CHECK,[HTTP_HEALTH_CHECK,...]
    Specifies a list of HTTP health check objects for checking the health of the backend service.
--https-health-checks HTTPS_HEALTH_CHECK,[HTTPS_HEALTH_CHECK,...]
    Specifies a list of HTTPS health check objects for checking the health of the backend service.
--port PORT
    The TCP port to use when connecting to the backend. --port is being deprecated in favor of --port-name.
--port-name PORT_NAME
    The name of a service that has been added to an instance group in this backend. Instance group services map a name to a port number which is used by the load balancing service. Only one port-name may be added to a backend service, and that name must exist as a service on all instance groups that are a part of this backend service. The port number associated with the name may differ between instances. If you do not specify this flag, your instance groups must have a service named http configured. See also gcloud compute instance-groups set-named-ports --help.
--protocol PROTOCOL
    The protocol for incoming requests.
--timeout TIMEOUT
    The amount of time to wait for a backend to respond to a request before considering the request failed. For example, specifying 10s will give backends 10 seconds to respond to requests. Valid units for this flag are ``s'' for seconds, ``m'' for minutes, and ``h'' for hours.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.